EulerOS 2.0 SP2 : icu (EulerOS-SA-2017-1129)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote EulerOS host is missing a security update.

Description :

According to the version of the icu packages installed, the EulerOS
installation on the remote host is affected by the following
vulnerability :

- Stack-based buffer overflow in the
ures_getByKeyWithFallback function in
common/uresbund.cpp in International Components for
Unicode (ICU) before 54.1 for C/C++ allows remote
attackers to cause a denial of service or possibly have
unspecified other impact via a crafted
uloc_getDisplayName call.(CVE-2014-9911)

Note that Tenable Network Security has extracted the preceding
description block directly from the EulerOS security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

http://www.nessus.org/u?6362af53

Solution :

Update the affected icu package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 5.9
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: Huawei Local Security Checks

Nessus Plugin ID: 101313 ()

Bugtraq ID:

CVE ID: CVE-2014-9911

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now